## org.plovr.cli
Class SoyWebCommandOptions

    java.lang.Object
      org.plovr.cli.AbstractCommandOptions
          org.plovr.cli.SoyWebCommandOptions

    public class SoyWebCommandOptions

extends AbstractCommandOptions

Constructor Summary
`SoyWebCommandOptions()`

Method Summary
`boolean` `areIndexPagesEnabled()`
`java.lang.String` `getCompileTimeGlobalsFile()`
`java.lang.String` `getDir()`
`java.lang.String` `getPluginModuleNames()`
`int` `getPort()`
`java.lang.String` `getTemplateName()`
`boolean` `isSafeMode()`
`boolean` `isStatic()`

Methods inherited from class org.plovr.cli.AbstractCommandOptions
`showHelp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoyWebCommandOptions

    public SoyWebCommandOptions()

Method Detail

### getTemplateName

    public java.lang.String getTemplateName()

### getPort

    public int getPort()

### getDir

    public java.lang.String getDir()

### isStatic

    public boolean isStatic()

### getCompileTimeGlobalsFile

    public java.lang.String getCompileTimeGlobalsFile()

### isSafeMode

    public boolean isSafeMode()

### areIndexPagesEnabled

    public boolean areIndexPagesEnabled()

### getPluginModuleNames

    public java.lang.String getPluginModuleNames()